//-------------------------------------------------------------------//
//
//  Syntax:	mean ( A )

//  Description:

//  Calculate the mean value. If the input is a 1xN, then compute the
//  mean value of all the elements. 

//  If the input is a MxN matrix the compute a row matrix of the mean
//  value of each column of the input. 
//
//-------------------------------------------------------------------//

mean = function(x)
{
  m = x.nr;
  if( m == 1 ) 
  { 
    m = x.nc;
  }
  
  return sum( x ) / m;
};
